Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.
  2. Join us on Dec 8, 2022, between 7 am & 7 pm EST, in the DOTS Dev Blitz Day 2022 - Q&A forum, Discord, and Unity3D Subreddit to learn more about DOTS directly from the Unity Developers.
    Dismiss Notice
  3. Have a look at our Games Focus blog post series which will show what Unity is doing for all game developers – now, next year, and in the future.
    Dismiss Notice

Question Error in run unity hub

Discussion in 'Unity Hub' started by robertocarloscantugzz, May 6, 2022.

  1. robertocarloscantugzz

    robertocarloscantugzz

    Joined:
    Jan 21, 2022
    Posts:
    1
    When starting unity hub I get this error:

    ERROR: Licensing SDK logging callback is not registered. 
    Please use 'registerLoggingAdapter' function from the SDK to do so.


    and unity hub stays like this:



    my computer has linux, specifically ubuntu 22.04.
     
    abheetX likes this.
  2. abheetX

    abheetX

    Joined:
    May 12, 2022
    Posts:
    1
    Exact same issue.
    UnityHub 3.1.2; Installed via unity3d.com repository.
    OS: Ubuntu 22.04, running X11 with proprietary nvidia drivers.
     
  3. Alfenstein

    Alfenstein

    Joined:
    Apr 21, 2018
    Posts:
    6
    Same issue on Fedora 36 with proprietary nvidia drivers and TuxedoOS with AMD gpu and cpu.
    When I installed unityhub I got this warning:
    chmod: cannot access '/opt/unityhub/chrome-sandbox': No such file or director

    Maybe that has something to do with it.
     
  4. AdamAtShernet

    AdamAtShernet

    Joined:
    Nov 13, 2014
    Posts:
    4
    Hi everyone, I think I may have solved this.

    I was having this same issue on a fresh install of Fedora 36. I believe the issue is that the Unity RPM doesn't require openssl1.1, which I'm assuming is installed by default on Centos 7 (which I think is the only supported RPM-based system for Unity)

    If you watch the selinux logs as unityhub runs you'll see unityhub tries to run:
    /opt/unityhub/UnityLicensingClient_V1/Unity.Licensing.Client
    If you run that manually from the terminal, you'll get the error:
    No usable version of libssl was found

    Run:
    sudo dnf -y install openssl1.1

    Then try running Unity Hub
    That worked for me, hope this helps!
     
    Last edited: May 25, 2022
    moha16778 and plugman_unity like this.
  5. Alfenstein

    Alfenstein

    Joined:
    Apr 21, 2018
    Posts:
    6
    Thank you AdamAtShernet! Worked perfectly on Fedora 36.
     
    AdamAtShernet likes this.
  6. AdamAtShernet

    AdamAtShernet

    Joined:
    Nov 13, 2014
    Posts:
    4
    Glad to hear it!
     
  7. muhmdhsn313

    muhmdhsn313

    Joined:
    Jan 14, 2018
    Posts:
    3
    Same problem...
     
  8. wechat_os_Qy02Mw3NUdTIIXObkFGmb5vQs

    wechat_os_Qy02Mw3NUdTIIXObkFGmb5vQs

    Joined:
    Jun 14, 2022
    Posts:
    1
    I meet the same error
    I edit desktop file change Excu value
    sudo vim /usr/share/applications/unityhub.desktop
    after several time terminal try,the same error is still.
    but the marvelous thin is that when i use desktop icon luncher and wait a miment all thing seems to right.
    (my english is bad)
     

    Attached Files:

  9. iiztp

    iiztp

    Joined:
    Jun 25, 2022
    Posts:
    1
    Hi, same error here
     
  10. dejankrivokapic

    dejankrivokapic

    Joined:
    Jul 9, 2022
    Posts:
    1
    Thank you AdamAtShernet, that did the job. Fedora 36 here.

    After hub app has loaded, sign in button didn't work (at first), so i clicked create account (didn't create one, just loggin in to my existing one), came back to hub app and sign in button worked. Perhaps this is some weird electron issue. After signin in, everything seem to work fine.
     
    AdamAtShernet likes this.
  11. andremamp

    andremamp

    Joined:
    Jun 25, 2022
    Posts:
    3
    The same problem happened here. It worked fine on ubuntu 20.04. I installed fresh ubuntu 22.04 and got the same
    ERROR: Licensing SDK logging callback is not registered
     
  12. KuraiAndras

    KuraiAndras

    Joined:
    Aug 23, 2021
    Posts:
    9
    I have a similar problem on Windows, any idea what the problem might be?
     
  13. McGarnikle

    McGarnikle

    Joined:
    May 28, 2022
    Posts:
    3
    Exactly the same thing here on Mint 21. Everything was fine on 20.3, updated to 21 then:
    "ERROR: Licensing SDK logging callback is not registered. Please use 'registerLoggingAdapter' function from the SDK to do so." and black screen hub...
     
  14. CodeExc

    CodeExc

    Joined:
    Oct 31, 2016
    Posts:
    8
    I have the exactly same problems on Mint 21. With 20.3 works fine. reinstallation and install openssl1.1 didn't solve the problem
     
  15. b1zzu

    b1zzu

    Joined:
    Aug 23, 2022
    Posts:
    1
    Worked for me too, thanks AdamAtShernet
     
  16. DanteMarshal

    DanteMarshal

    Joined:
    Aug 25, 2020
    Posts:
    9
    I'm recently having this problem on Windows 10 !
    And it sometimes works after restart, but it's really annoying.
    Any workarounds ?
     
  17. durk069

    durk069

    Joined:
    Aug 31, 2022
    Posts:
    1
    u made my thing go weird, i cant use sudo commands anymore...
     
  18. fibrodoll

    fibrodoll

    Joined:
    Feb 1, 2022
    Posts:
    1
    This worked for me on Xubuntu 22.04.1 lts ^^
     
  19. hk0i

    hk0i

    Joined:
    Feb 11, 2022
    Posts:
    2
    Installing openssl 1.1 worked for me also (Linut Mint). I had to install from source, I loosely followed these instructions. Instead of extracting the sources to `/opt/openssl` I extracted them in my `~/src` directory and I just run `unityhub` from command line by setting `LD_LIBRARY_PATH` each time:

    Code (Bash):
    1.  
    2. LD_LIBRARY_PATH=/opt/openssl/lib unityhub
    3.  
     
  20. LVE

    LVE

    Joined:
    Apr 25, 2015
    Posts:
    2
    oliver-clare and romanovp3tr like this.
  21. mrawding811

    mrawding811

    Joined:
    Oct 1, 2022
    Posts:
    1
    libssl1.1 install works on UBUNTU 22.04 X11 - just a heads up need to reboot after installing.
     
  22. catblue44

    catblue44

    Joined:
    Jul 24, 2018
    Posts:
    2
    libssl1.1 install works on LUBUNTU 22.04 X11, needs reboot.
     
    oliver-clare likes this.
  23. thefallengamesstudio

    thefallengamesstudio

    Joined:
    Mar 7, 2016
    Posts:
    662
    what
    about
    windows?
    (someone already asked this)